

%define module plasma-desktop
%define kfontinstui_major 5
%define libkfontinstui %mklibname kfontinstui %{kfontinstui_major}
%define kfontinst_major 5
%define libkfontinst %mklibname kfontinst %{kfontinst_major}
%define kf5activities_major 0
%define libkf5activities %mklibname kf5activitiesexperimentalstats %{kf5activities_major}
%define plasma_desktop_devel %mklibname plasma-desktop -d

Summary:        Plasma 5 application workspace components
Name:           plasma-desktop
Version: 		5.27.11
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphical desktop/KDE5
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{module}-%{version}.tar.xz
Source1:        main.xml
URL:            https://www.kde.org/
BuildRequires:  cmake
BuildRequires:  kf5-macros
#------------------------------------------------------
BuildRequires:  intltool
BuildRequires:  baloo5-devel
BuildRequires:  kdoctools-devel
BuildRequires:  plasma-framework-devel
BuildRequires:  kdesu-devel
BuildRequires:  knewstuff-devel
BuildRequires:  kwallet-devel
BuildRequires:  kcmutils-devel
BuildRequires:  kidletime-devel 
BuildRequires:  kdeclarative-devel
BuildRequires:  ktextwidgets-devel
BuildRequires:  kdelibs4support-devel
BuildRequires:  kcrash-devel
BuildRequires:  krunner-devel
BuildRequires:  knotifyconfig-devel
BuildRequires:  kjsembed-devel
BuildRequires:  libksysguard-devel
BuildRequires:  libkscreen-devel
BuildRequires:  kwin-devel
BuildRequires:  plasma-workspace-devel
BuildRequires:  kpeople-devel
BuildRequires:  kded-devel
BuildRequires:  kscreenlocker-devel
BuildRequires:  lib64kf5activities-stats-devel
BuildRequires:  libcanberra-devel
BuildRequires:  libxkbcommon-devel
BuildRequires:  libxml2-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl
BuildRequires:  boost-devel
BuildRequires:  libxcb-devel
BuildRequires:  x11-server-devel
BuildRequires:  x11-driver-input-synaptics-devel
BuildRequires:  x11-driver-input-evdev-devel
BuildRequires:  x11-data-xkbdata
BuildRequires:  lib64usb1.0-devel
BuildRequires:  lib64x11-devel
BuildRequires:  lib64xkbfile-devel
BuildRequires:  lib64xft-devel
BuildRequires:  x11-driver-input-libinput-devel

Obsoletes: lib64plasma-desktop-devel
Provides: lib64plasma-desktop-devel = %{version}-%{release}
Requires: libksysguard

%description
Plasma 5 application workspace components

%files
%{_sysconfdir}/
%{_bindir}/
%{_libexecdir}/
%{_datadir}/locale/
%{_datadir}/kf5/
%{_libdir}/qt5/plugins/kf5/
%{_libdir}/qt5/plugins/plasma/
%{_libdir}/qt5/qml/org/
%{_datadir}/applications/
%{_datadir}/config.kcfg/
%{_datadir}/dbus-1/interfaces/
%{_datadir}/dbus-1/system-services/
%{_datadir}/dbus-1/system.d/
%{_datadir}/icons/
%{_datadir}/kcmkeys/
%{_datadir}/kcmmouse/
%{_datadir}/kcmsolidactions/
%{_datadir}/kconf_update/
%{_datadir}/knotifications5/
%{_datadir}/knsrcfiles
%{_datadir}/kpackage/kcms/kcm5_kded/
%{_datadir}/kpackage/kcms/kcm_access/
%{_datadir}/kpackage/kcms/kcm_baloofile/contents/
%{_datadir}/kpackage/kcms/kcm_componentchooser/
%{_datadir}/kpackage/kcms/kcm_keys/contents/
%{_datadir}/kpackage/kcms/kcm_krunnersettings/
%{_datadir}/kpackage/kcms/kcm_landingpage/
%{_datadir}/kpackage/kcms/kcm_plasmasearch/
%{_datadir}/kpackage/kcms/kcm_smserver/
%{_datadir}/kpackage/kcms/kcm_splashscreen/
%{_datadir}/kpackage/kcms/kcm_tablet/
%{_datadir}/kpackage/kcms/kcm_touchscreen/
%{_datadir}/kpackage/kcms/kcm_workspace/
%{_datadir}/kservicetypes5/
%{_datadir}/metainfo/
%{_datadir}/plasma/desktoptheme/
%{_datadir}/plasma/layout-templates/
%{_datadir}/plasma/packages/
%{_datadir}/plasma/plasmoids/
%{_datadir}/plasma/services/
%{_datadir}/plasma/shells/
%{_datadir}/polkit-1/actions/
%{_datadir}/qlogging-categories5/
%{_datadir}/solid/devices/
%{_libdir}/qt5/plugins/attica_kde.so
%{_datadir}/accounts/providers/kde/opendesktop.provider
%{_datadir}/accounts/services/kde/opendesktop-rating.service

%exclude %{_datadir}/applications/org.kde.plasma.emojier.desktop
%exclude %{_libdir}/qt5/qml/org/kde/plasma/emoji/libEmojierDeclarativePlugin.so

%package handbook
Summary: %module Handbook
Group:	Documentation
BuildArch: noarch

%description handbook
This package provides %module Handbook.

%files handbook
%doc %_docdir/HTML


%package emoji
Summary: Emoji for Plasma
Group:	Graphical desktop/KDE5
Requires: google-noto-emoji-color-fonts
Requires: %{name}

%description emoji
Graphical emoji for the Plasma desktop.

%files emoji
%{_datadir}/plasma/emoji/*.dict
%{_datadir}/applications/org.kde.plasma.emojier.desktop
%{_datadir}/kglobalaccel/org.kde.plasma.emojier.desktop
%{_libdir}/qt5/qml/org/kde/plasma/emoji/libEmojierDeclarativePlugin.so
%{_libdir}/qt5/qml/org/kde/plasma/emoji/qmldir

#--------------------------------------------------------------------

%prep
%setup -q -n %module-%{version}
%autopatch -p1

%build
export LDFLAGS="-L/usr/lib64/libglvnd/ $LDFLAGS"
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja -DCMAKE_BUILD_TYPE=Release -Wno-dev -DBUILD_KIMPANEL=OFF -DBUILD_IBUS=OFF

%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build

#Drop adding default programs to taskbar 
install -m 0644 %SOURCE1 %buildroot/%{_datadir}/plasma/plasmoids/org.kde.plasma.taskmanager/contents/config/main.xml

#fix desktop file
sd "Utility" "X-MandrivaLinux-Other" %buildroot/%{_datadir}/applications/org.kde.plasma.emojier.desktop


%post
%update_menus &> /dev/null ||:
%update_desktop_database &> /dev/null ||:
%update_mime_database &> /dev/null ||:

%postun
%update_menus &> /dev/null ||:
%update_desktop_database &> /dev/null ||:
%update_mime_database &> /dev/null ||:

%changelog
* Thu Mar 14 2024 tex - 5.27.11-1pclos2024
- new version

